:root {
  --text-brown: #f4a460;
  --bg-brown: rgb(155, 104, 68);
  --hover-brown: #e5d3b3;
}

html,
body {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  overflow: hidden;
  font-family: monospace;
}

*,
:before,
:after {
  box-sizing: border-box;
}

body {
  background-color: #9b6844;
  height: 100vh;
  max-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
h1,
h2,
h3,
a,
label,
#submitbtn {
  text-align: center;
  font-family: monospace;
  color: var(--text-brown);
}

.container {
  margin: 0 auto;
  max-width: 350px;
  width: 100%;
}
.baby-groot {
  position: relative;
  display: flex;
  justify-content: center;
  flex-direction: column;
  margin: 0 auto;
  max-width: 80vw;
}

footer {
  display: flex;
  justify-content: space-around;
  align-items: center;
  height: auto;
}

.me-tsvstacks p {
  margin: 0;
}

.me-tsvstacks {
  border-radius: 5px;
  padding: 5px;
  margin: 0 auto;
  text-align: center;
}

.fa-icons a {
  text-decoration: none;
}

.me-tsvstacks,
.me-tsvstacks a {
  color: black;
  font-size: 16px;
  text-decoration: none;
}

.me-tsvstacks a {
  color: black;
}

.modal-container {
  display: flex;
  flex-direction: column;
  text-align: center;
  padding: 0 15%;
}

.fade-out {
  animation: fadeOut ease 2s;
  animation-fill-mode: forwards;
}

.fade-in {
  animation: fadeIn ease 2s;
  animation-fill-mode: forwards;
}

.sad {
  margin-top: 25px;
  transform: rotate(180deg) !important;
}

#winner {
  display: none;
}

#loser img {
  max-width: 100%;
}

img {
  max-height: 326px;
  z-index: 2;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

input[type="text"] {
  margin: 0 auto;
  margin-top: 10px;
  max-width: 150px;
  border: 2px solid rgb(89, 42, 22);
  background-color: #e5d3b3;
  color: #592a16;
  border-radius: 8px;
}

.btn {
  margin: 5px auto;
  max-width: fit-content;
  padding: 5px 10px;
  background-color: #f4a460;
  color: #592a16;
  text-transform: uppercase;
  border: 2px solid #592a16;
  border-radius: 8px;
  font-weight: bold;
  text-align: center;
  cursor: pointer;
  box-shadow: 0 2px #592a16;
}

.btn:active {
  box-shadow: 0 2px #592a16;
  transform: translateY(4px);
}

.btn:hover,
svg:hover {
  background-color: #e5d3b3;
  cursor: pointer;
}

@keyframes fadeOut {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/* The side navigation menu */
.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: rgba(89, 42, 22, 0.85);
  color: var(--text-brown);
  overflow-x: hidden;
  overflow-y: hidden;
  transition: 0.4s;
}

@media screen and (max-height: 450px) {
  .sidenav {
    padding-top: 15px;
  }
  .sidenav a {
    font-size: 18px;
  }
}

@media (max-width: 450px) {
  footer {
    padding-bottom: 20px;
  }
}

/* Game Container */
#game-container {
  display: none;
}

#pet-text {
  font-style: italic;
}

.meter {
  display: flex;
  max-width: 300px;
  margin: 0 auto;
  text-align: center;
}

.meter label {
  font-size: 16px;
  width: 30%;
}

meter {
  width: 70%;
  height: auto;
}

#hunger-meter::-webkit-meter-optimum-value {
  background: -webkit-gradient(
    linear,
    0% 0%,
    0% 100%,
    from(rgb(170, 221, 119)),
    color-stop(0.2, rgb(204, 238, 170)),
    color-stop(0.45, rgb(119, 170, 51)),
    color-stop(0.55, rgb(119, 170, 51)),
    to(rgb(170, 221, 119))
  );
}

#hunger-meter::-webkit-meter-even-less-good-value {
  background: -webkit-gradient(
    linear,
    0% 0%,
    0% 100%,
    from(rgb(255, 119, 119)),
    color-stop(0.2, rgb(255, 204, 204)),
    color-stop(0.45, rgb(221, 68, 68)),
    color-stop(0.55, rgb(221, 68, 68)),
    to(rgb(255, 119, 119))
  );
}

.game-btn {
  display: flex;
  justify-content: space-evenly;
  max-width: 300px;
  margin: 0 auto;
}

.closebtn {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  text-decoration: none;
  font-size: 24px;
}

.closebtn:hover {
  color: red;
}

.list-item {
  margin-bottom: 5px;
}

.fa {
  color: var(--text-brown);
}

#winner {
  display: none;
  flex-direction: column;
  justify-content: center;
}

#loser {
  display: none;
  flex-direction: column;
  justify-content: center;
}

footer a:hover,
footer a:focus {
  color: #e5d3b3;
}

.baby-groot .leaf {
  opacity: 0;
  position: absolute;
  background-color: #46b749;
  border-radius: 0% 100% 50% 50%/0% 50% 50% 100%;
}
.baby-groot .leaf-1 {
  top: -6px;
  left: -7px;
  width: 30px;
  height: 30px;
  border: 6px solid #592a16;
  transform: rotate(34deg);
  animation: 3s 3s move-leaf1 cubic-bezier(0, 0.6, 0.6, 1);
  animation-fill-mode: forwards;
}
.baby-groot .leaf-1:after {
  content: "";
  position: absolute;
  width: 5px;
  height: 25px;
  background-color: #592a16;
  border-radius: 3px;
  transform: rotate(-45deg);
  bottom: -12px;
  right: -2px;
  animation: 3s 3s move-leaf1-after cubic-bezier(0, 0.62, 0.63, 1);
  animation-fill-mode: forwards;
}
.baby-groot .leaf-2 {
  top: -28px;
  left: 22px;
  width: 30px;
  height: 30px;
  border: 6px solid #592a16;
  transform: rotate(92deg);
  animation: 3.5s 3.3s move-leaf2 cubic-bezier(0.24, 0.38, 0, 1.06);
  animation-fill-mode: forwards;
}
.baby-groot .leaf-2:after {
  content: "";
  position: absolute;
  width: 5px;
  height: 20px;
  background-color: #592a16;
  border-radius: 3px;
  transform: rotate(-45deg);
  bottom: -10px;
  right: -2px;
  animation: 3.5s 3.3s move-leaf2-after cubic-bezier(0.24, 0.38, 0, 1.06);
  animation-fill-mode: forwards;
}
.baby-groot .leaf-3 {
  top: -28px;
  left: -22px;
  width: 30px;
  height: 30px;
  border: 6px solid #592a16;
  transform: rotate(-8deg) scale(0.7);
  animation: 2.6s 3s move-leaf3 ease-in-out;
  animation-fill-mode: forwards;
}
.baby-groot .leaf-3:after {
  content: "";
  position: absolute;
  width: 5px;
  height: 20px;
  background-color: #592a16;
  border-radius: 3px;
  transform: rotate(-45deg);
  bottom: -10px;
  right: -2px;
}
.baby-groot .leaf-4 {
  bottom: -25px;
  left: 0;
  width: 30px;
  height: 30px;
  border: 6px solid #592a16;
  transform: rotate(-100deg) scale(0.5);
  animation: 1s 3s move-leaf4 cubic-bezier(0, 0, 0.38, 0.94);
  animation-fill-mode: forwards;
}
.baby-groot .leaf-4.alt {
  transform: scale(-0.5, -0.5);
  left: 14px;
}
.baby-groot .leaf-4:after {
  content: "";
  position: absolute;
  width: 5px;
  height: 20px;
  background-color: #592a16;
  border-radius: 3px;
  transform: rotate(-45deg);
  bottom: -10px;
  right: -2px;
}
.baby-groot .top {
  display: flex;
  justify-content: center;
  position: relative;
  flex-direction: column;
  align-items: center;
  animation: 3s 0s grow-top ease-out;
  z-index: 1;
}
.baby-groot .header {
  position: relative;
  width: 200px;
}
.baby-groot .hair {
  position: absolute;
  width: 100%;
  height: 55px;
  background-color: #9b6844;
  z-index: 2;
}
.baby-groot .hair-1 {
  position: absolute;
  width: 35px;
  height: 70px;
  top: 30px;
  left: -2px;
  background-color: #994e2e;
  border-top: 10px solid #592a16;
  border-left: 10px solid #592a16;
  border-top-left-radius: 30px 15px;
  transform: rotate(-5deg);
}
.baby-groot .hair-2 {
  position: absolute;
  width: 10px;
  height: 20px;
  top: 28px;
  left: 29px;
  border-top: 20px solid #592a16;
  border-radius: 4px;
  transform: rotate(-35deg);
}
.baby-groot .hair-3 {
  position: absolute;
  width: 30px;
  height: 60px;
  top: -10px;
  left: 35px;
  background-color: #994e2e;
  transform: rotate(6deg);
  transform-origin: bottom center;
  border-left: 10px solid #592a16;
  border-top: 10px solid #592a16;
  border-top-left-radius: 15px;
}
.baby-groot .hair-3:before {
  content: "";
  position: absolute;
  width: 70px;
  height: 10px;
  left: -15px;
  background-color: #994e2e;
  bottom: -10px;
}
.baby-groot .hair-3:after {
  content: "";
  position: absolute;
  width: 17px;
  height: 10px;
  left: -18px;
  background-color: #994e2e;
  bottom: -7px;
  transform: rotate(25deg);
}
.baby-groot .hair-4 {
  position: absolute;
  width: 10px;
  height: 65px;
  top: -8px;
  left: 70px;
  border-top: 10px solid #592a16;
  border-right: 10px solid #592a16;
  transform: rotate(-5deg);
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
}
.baby-groot .hair-4:before {
  content: "";
  position: absolute;
  width: 10px;
  height: 65px;
  background-color: #994e2e;
  left: -10px;
}
.baby-groot .hair-5 {
  position: absolute;
  width: 50px;
  height: 50px;
  top: 10px;
  left: 77px;
  background-color: #994e2e;
  transform-origin: bottom;
  transform: rotate(10deg);
  border-top: 10px solid #592a16;
  border-left: 10px solid #592a16;
  border-top-left-radius: 20px 10px;
  border-top-right-radius: 5px;
}
.baby-groot .hair-6 {
  position: absolute;
  width: 10px;
  height: 30px;
  top: 14px;
  left: 134px;
  background-color: #994e2e;
  transform-origin: bottom;
  transform: rotate(-15deg);
  border-top: 10px solid #592a16;
  border-right: 10px solid #592a16;
  border-top-right-radius: 5px;
}
.baby-groot .hair-6:before {
  content: "";
  position: absolute;
  width: 10px;
  height: 20px;
  background-color: #994e2e;
  top: 10px;
  left: -10px;
}
.baby-groot .hair-7 {
  position: absolute;
  width: 30px;
  height: 30px;
  top: 12px;
  left: 152px;
  background-color: #994e2e;
  transform-origin: bottom;
  transform: rotate(-55deg);
  border-top: 10px solid #592a16;
  border-right: 10px solid #592a16;
  border-top-right-radius: 5px;
}
.baby-groot .hair-7:before {
  content: "";
  position: absolute;
  width: 14px;
  height: 20px;
  background-color: #994e2e;
  top: 0px;
  left: -14px;
}
.baby-groot .hair-7:after {
  content: "";
  position: absolute;
  width: 34px;
  height: 23px;
  background-color: #994e2e;
  top: 3px;
  left: -18px;
  transform: rotate(40deg);
}
.baby-groot .hair-8 {
  position: absolute;
  width: 30px;
  height: 30px;
  width: 30px;
  height: 35px;
  top: 25px;
  left: 150px;
  transform: rotate(-6deg);
  border-right: 12px solid #592a16;
  border-top-right-radius: 15px;
}
.baby-groot .scar {
  position: absolute;
  right: 9px;
  top: 80px;
  width: 28px;
  height: 28px;
  z-index: 2;
  border: 3px solid #592a16;
  transform: rotate(-15deg);
  border-radius: 3px;
}
.baby-groot .scar:before {
  content: "";
  position: absolute;
  width: 3px;
  height: 11px;
  background-color: #592a16;
  border-radius: 2px;
  top: -8px;
  left: 6px;
  box-shadow: 6px 0 #592a16, 0 27px #592a16, 6px 27px #592a16;
}
.baby-groot .scar:after {
  content: "";
  position: absolute;
  width: 11px;
  height: 3px;
  background-color: #592a16;
  border-radius: 2px;
  top: 4px;
  left: -8px;
  box-shadow: 0 6px #592a16, 0 12px #592a16;
}
.baby-groot .face-container {
  position: relative;
  display: flex;
  justify-content: center;
  top: 13px;
  width: 200px;
  height: 200px;
  background-color: #994e2e;
  border-radius: 100px;
  border: 10px solid #592a16;
  z-index: 1;
}
.baby-groot .face-container .eye,
.baby-groot .face-container .mouth {
  position: relative;
  top: 110px;
}

.baby-groot .face-container .mouth {
  width: 30px;
  height: 15px;
  overflow: hidden;
  transform: translateY(24px) scale(0.7);
  margin-right: 10px;
  margin-left: 10px;
}
.baby-groot .face-container .mouth:before {
  content: "";
  position: absolute;
  width: 30px;
  height: 30px;
  bottom: 0px;
  border-radius: 0 0 15px 15px;
  border: 5px solid #592a16;
  border-top-color: transparent;
}
.baby-groot .face-container .eye {
  width: 30px;
  height: 30px;
  background-color: #592a16;
  border-radius: 18px;
}
.baby-groot .face-container .eye:before,
.baby-groot .face-container .eye:after {
  width: 4px;
  height: 20px;
  content: "";
  position: absolute;
  background-color: #fff;
  border-radius: 5px;
  left: 50%;
  top: 5px;
}
.baby-groot .face-container .eye:before {
  transform: translateX(-50%) rotate(45deg);
}
.baby-groot .face-container .eye:after {
  transform: translateX(-50%) rotate(-45deg);
}
.baby-groot .middle {
  display: flex;
  justify-content: center;
  position: relative;
  animation: 3s 0s grow-mid ease-out;
}
.baby-groot .middle .chest {
  position: relative;
  width: 80px;
  height: 70px;
  overflow: hidden;
  background-color: #994e2e;
}
.baby-groot .middle .chest:before {
  content: "";
  position: absolute;
  width: 70px;
  height: 140px;
  border: 10px solid #592a16;
  background-color: #9b6844;
  border-radius: 50%;
  left: -53px;
  top: -30px;
}
.baby-groot .middle .chest:after {
  content: "";
  position: absolute;
  width: 70px;
  height: 140px;
  border: 10px solid #592a16;
  background-color: #9b6844;
  border-radius: 50%;
  right: -53px;
  top: -30px;
}
.baby-groot .middle .arm-wrapper {
  width: 60px;
  height: 70px;
}
.baby-groot .middle .arm-left {
  position: relative;
  right: -7px;
  top: 10px;
  width: 60px;
  height: 33px;
  background-color: #994e2e;
  border-top-left-radius: 40px;
  border-bottom-left-radius: 20px;
  border-top: 8px solid #592a16;
  border-bottom: 8px solid #592a16;
  border-left: 8px solid #592a16;
  z-index: 1;
}
.baby-groot .middle .arm-right {
  position: relative;
  left: -7px;
  top: 10px;
  width: 60px;
  height: 33px;
  background-color: #994e2e;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 40px;
  border-top: 8px solid #592a16;
  border-bottom: 8px solid #592a16;
  border-left: 8px solid #592a16;
  z-index: 1;
  transform: scaleX(-1);
}
.baby-groot .bottom {
  width: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
}
.baby-groot .flowerpot-border {
  position: relative;
  width: 160px;
  background-color: transparent;
  border-top: 50px solid #592a16;
  border-left: 25px solid transparent;
  border-right: 25px solid transparent;
  border-radius: 5px;
}
.baby-groot .flowerpot-content {
  position: absolute;
  top: -45px;
  left: -17px;
  width: 145px;
  background-color: transparent;
  border-top: 45px solid #d1d2d4;
  border-left: 25px solid transparent;
  border-right: 25px solid transparent;
}
.baby-groot .flowerpot-dark-shadow {
  position: absolute;
  top: -45px;
  left: -13px;
  width: 40px;
  background-color: transparent;
  border-top: 42px solid #9d9fa2;
  border-left: 12px solid transparent;
  transform: skew(13deg);
}
.baby-groot .flowerpot-light-shadow {
  position: absolute;
  top: -45px;
  left: 103px;
  width: 20px;
  background-color: transparent;
  border-top: 41px solid #fff;
  border-right: 12px solid transparent;
  transform: skew(-13deg);
}
.baby-groot .ground {
  position: relative;
  top: -5px;
  width: 100%;
  height: 6px;
  background-color: #592a16;
  border-radius: 3px;
}
.baby-groot .ground:before {
  content: "";
  position: absolute;
  width: 30px;
  height: 6px;
  background-color: #592a16;
  left: -40px;
  border-radius: 3px;
  box-shadow: -40px 0 #592a16;
}
.baby-groot .ground:after {
  content: "";
  position: absolute;
  width: 30px;
  height: 6px;
  background-color: #592a16;
  right: -40px;
  border-radius: 3px;
  box-shadow: 40px 0 #592a16;
}
@-moz-keyframes move-leaf1 {
  0% {
    opacity: 1;
    width: 10px;
    height: 10px;
    top: 36px;
    left: 5px;
  }
  100% {
    opacity: 1;
  }
}
@-webkit-keyframes move-leaf1 {
  0% {
    opacity: 1;
    width: 10px;
    height: 10px;
    top: 36px;
    left: 5px;
  }
  100% {
    opacity: 1;
  }
}
@-o-keyframes move-leaf1 {
  0% {
    opacity: 1;
    width: 10px;
    height: 10px;
    top: 36px;
    left: 5px;
  }
  100% {
    opacity: 1;
  }
}
@keyframes move-leaf1 {
  0% {
    opacity: 1;
    width: 10px;
    height: 10px;
    top: 36px;
    left: 5px;
  }
  100% {
    opacity: 1;
  }
}
@-moz-keyframes move-leaf1-after {
  0% {
    opacity: 1;
    width: 0px;
    height: 0px;
  }
  50% {
    right: -6px;
  }
  100% {
    opacity: 1;
  }
}
@-webkit-keyframes move-leaf1-after {
  0% {
    opacity: 1;
    width: 0px;
    height: 0px;
  }
  50% {
    right: -6px;
  }
  100% {
    opacity: 1;
  }
}
@-o-keyframes move-leaf1-after {
  0% {
    opacity: 1;
    width: 0px;
    height: 0px;
  }
  50% {
    right: -6px;
  }
  100% {
    opacity: 1;
  }
}
@keyframes move-leaf1-after {
  0% {
    opacity: 1;
    width: 0px;
    height: 0px;
  }
  50% {
    right: -6px;
  }
  100% {
    opacity: 1;
  }
}
@-moz-keyframes move-leaf2 {
  0% {
    opacity: 1;
    top: -3px;
    left: 7px;
    width: 10px;
    height: 10px;
  }
  100% {
    opacity: 1;
  }
}
@-webkit-keyframes move-leaf2 {
  0% {
    opacity: 1;
    top: -3px;
    left: 7px;
    width: 10px;
    height: 10px;
  }
  100% {
    opacity: 1;
  }
}
@-o-keyframes move-leaf2 {
  0% {
    opacity: 1;
    top: -3px;
    left: 7px;
    width: 10px;
    height: 10px;
  }
  100% {
    opacity: 1;
  }
}
@keyframes move-leaf2 {
  0% {
    opacity: 1;
    top: -3px;
    left: 7px;
    width: 10px;
    height: 10px;
  }
  100% {
    opacity: 1;
  }
}
@-moz-keyframes move-leaf2-after {
  0% {
    opacity: 1;
    height: 5px;
  }
  100% {
    opacity: 1;
  }
}
@-webkit-keyframes move-leaf2-after {
  0% {
    opacity: 1;
    height: 5px;
  }
  100% {
    opacity: 1;
  }
}
@-o-keyframes move-leaf2-after {
  0% {
    opacity: 1;
    height: 5px;
  }
  100% {
    opacity: 1;
  }
}
@keyframes move-leaf2-after {
  0% {
    opacity: 1;
    height: 5px;
  }
  100% {
    opacity: 1;
  }
}
@-moz-keyframes move-leaf3 {
  0% {
    opacity: 1;
    top: -10px;
    left: 0px;
    width: 10px;
    height: 10px;
  }
  100% {
    opacity: 1;
  }
}
@-webkit-keyframes move-leaf3 {
  0% {
    opacity: 1;
    top: -10px;
    left: 0px;
    width: 10px;
    height: 10px;
  }
  100% {
    opacity: 1;
  }
}
@-o-keyframes move-leaf3 {
  0% {
    opacity: 1;
    top: -10px;
    left: 0px;
    width: 10px;
    height: 10px;
  }
  100% {
    opacity: 1;
  }
}
@keyframes move-leaf3 {
  0% {
    opacity: 1;
    top: -10px;
    left: 0px;
    width: 10px;
    height: 10px;
  }
  100% {
    opacity: 1;
  }
}
@-moz-keyframes move-leaf4 {
  0% {
    opacity: 1;
    bottom: -10px;
    width: 10px;
    height: 10px;
  }
  100% {
    opacity: 1;
  }
}
@-webkit-keyframes move-leaf4 {
  0% {
    opacity: 1;
    bottom: -10px;
    width: 10px;
    height: 10px;
  }
  100% {
    opacity: 1;
  }
}
@-o-keyframes move-leaf4 {
  0% {
    opacity: 1;
    bottom: -10px;
    width: 10px;
    height: 10px;
  }
  100% {
    opacity: 1;
  }
}
@keyframes move-leaf4 {
  0% {
    opacity: 1;
    bottom: -10px;
    width: 10px;
    height: 10px;
  }
  100% {
    opacity: 1;
  }
}
@-moz-keyframes grow-top {
  0% {
    transform: scale(0);
    bottom: -167px;
  }
  100% {
    transform: scale(1);
    bottom: 0;
  }
}
@-webkit-keyframes grow-top {
  0% {
    transform: scale(0);
    bottom: -167px;
  }
  100% {
    transform: scale(1);
    bottom: 0;
  }
}
@-o-keyframes grow-top {
  0% {
    transform: scale(0);
    bottom: -167px;
  }
  100% {
    transform: scale(1);
    bottom: 0;
  }
}
@keyframes grow-top {
  0% {
    transform: scale(0);
    bottom: -167px;
  }
  100% {
    transform: scale(1);
    bottom: 0;
  }
}
@-moz-keyframes grow-mid {
  0% {
    transform: scale(0);
    bottom: -34px;
  }
  100% {
    transform: scale(1);
    bottom: 0;
  }
}
@-webkit-keyframes grow-mid {
  0% {
    transform: scale(0);
    bottom: -34px;
  }
  100% {
    transform: scale(1);
    bottom: 0;
  }
}
@-o-keyframes grow-mid {
  0% {
    transform: scale(0);
    bottom: -34px;
  }
  100% {
    transform: scale(1);
    bottom: 0;
  }
}
@keyframes grow-mid {
  0% {
    transform: scale(0);
    bottom: -34px;
  }
  100% {
    transform: scale(1);
    bottom: 0;
  }
}
